import java.util.Scanner;

public class Herencia
{
	public static void main(String cad[])
	{
		Scanner d = new Scanner(System.in);
		int opc;
		
		do {
			System.out.println("1. Acceder padre\n2. Acceder hijo");
			System.out.println("3. Salir\n\nOpcion: ");
			opc = d.nextInt();
			
			switch(opc)
			{
			case 1: System.out.println("Dame un valor: ");
					int x = d.nextInt();
					System.out.println("Dame un valor: ");
					int y = d.nextInt();
					Padre papa = new Padre(x,y);
					System.out.println("Suma = "+papa.suma());
					//System.out.println("Raiz = "+papa.raiz());
					// No se puede acceder a los métodos del hijo
					System.out.println(papa);
					break;
			case 2: System.out.println("Dame un valor: ");
					x = d.nextInt();
					System.out.println("Dame un valor: ");
					y = d.nextInt();
					System.out.println("Dame un valor: ");
					float z = d.nextFloat();
					Hijo bebe = new Hijo(x,y,z);
					System.out.println("Suma = "+bebe.suma());
					System.out.println("Cuadrado = "+bebe.cuadrado());
					System.out.println("Raiz = "+bebe.raiz());
					System.out.println(bebe);
					break;
			}
		} while(opc!=3);
		d.close();
	}
}
